import React, { Fragment } from 'react'
import moment from 'moment'
import { Text } from 'pubsweet-component-faraday-ui'

const DateParser = ({ label, date, format = 'DD.MM.YYYY' }) => (
  <Fragment>
    {label && <Text>{label} &nbsp;</Text>}
    {date && <Text mr={1}>{moment(date).format(format)}</Text>}
  </Fragment>
)

export default DateParser
